AI Quality Check
Schedule a new AI quality check
POST /aiQualityCheck/testRun
POST /aiQualityCheck/testRun
Request body
aiAgentIdintegerbodyThe id of the AI agent to filter test cases by. If not set, all test cases will be tested using their reference agents. Note that each test case creates only ONE test ticket per test run, regardless of how many agents are in its aiAgentIds array.
descriptionstringbodyOptional description for the test run
configobjectbodyNo description.
Request Example
{
"aiAgentId": 123,
"description": "Standard quality check for bank data",
"config": {
"limit": 100,
"reRunModels": true
}
}Responses
200 — Successful operation
Response Example
{
"id": 1,
"aiAgentId": "string",
"aiAgentName": "string",
"state": "processing",
"config": null,
"createdBy": 1,
"createdAt": "2026-01-01T12:00:00Z",
"endDate": "2026-01-01T12:00:00Z",
"ticketsScheduledForTesting": 1,
"ticketsTested": 1,
"successfulTests": 1,
"description": "string"
}500 — Internal error